/**
 * A {@link (DesignToken:interface)} value that is derived. These values can depend on other {@link (DesignToken:interface)}s
 * or arbitrary observable properties.
 * @alpha
 */
export declare type DerivedDesignTokenValue<T> = T extends Function ? never : (target: HTMLElement) => T;
/**
 * A design token value with no observable dependencies
 * @alpha
 */
export declare type StaticDesignTokenValue<T> = T extends Function ? never : T;
/**
 * The type that a {@link (DesignToken:interface)} can be set to.
 * @alpha
 */
export declare type DesignTokenValue<T> = StaticDesignTokenValue<T> | DerivedDesignTokenValue<T>;
